For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sync firewall

Sync a firewall for a specified virtual machine.

Deprecated

Sync firewall

post

Deprecated: use POST /api/vps/v1/firewall/{firewallId}/sync instead, which syncs the firewall to all virtual machines assigned to it.

Sync a firewall for a specified virtual machine.

Firewall can lose sync with virtual machine if the firewall has new rules added, removed or updated.

Use this endpoint to apply updated firewall rules to VPS instances.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
firewallIdintegerRequired

Firewall ID

Example: 9449049
virtualMachineIdintegerRequired

Virtual Machine ID

Example: 1268054
Responses
200

Success response

application/json
idintegerOptional

Action ID

Example: 8123712
namestringOptional

Action name

Example: action_name
statestring · enumOptional

Action state

Example: successPossible values:
created_atstring · date-timeOptionalExample: 2025-02-27T11:54:00Z
updated_atstring · date-timeOptionalExample: 2025-02-27T11:58:00Z
post/api/vps/v1/firewall/{firewallId}/sync/{virtualMachineId}
POST /api/vps/v1/firewall/{firewallId}/sync/{virtualMachineId} HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": 8123712,
  "name": "action_name",
  "state": "success",
  "created_at": "2025-02-27T11:54:00Z",
  "updated_at": "2025-02-27T11:58:00Z"
}

Last updated

Was this helpful?